Subject: Re: bug#27080: ¨make install" fails because of missing gawk

From: Konrad Hinsen <[email-masked]>
Date: Fri, 26 May 2017 18:01:02 +0200

On 26/05/2017 16:56, Ricardo Wurmus wrote:

>> in order to prevent Guix from overwriting some of Ubuntu's system files.
>
> Guix will not overwrite any system files.  It only writes to /gnu,
> /var/guix, and /etc/guix.

It did when I first tried install-from-source a few months ago, and it 
took me a while to clean up the mess. More precisely, it put a lot of 
stuff into /usr/local, overwriting files in /usr/local/share that 
Ubuntu-installed software depended on. If that has changed in the 
meantime, that's great.

> No, the configure script is probably okay.  Maybe something’s up with
> your environment.  Have you tried “guix environment --pure guix”?

I just did. No difference. Same config.log, same Makefile, same error 
messages.

Konrad.